Bug 140462 - rsync hangs with verbosity higher then 2
rsync hangs with verbosity higher then 2
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: rsync (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Simo Sorce
:
Depends On:
Blocks: 331891
  Show dependency treegraph
 
Reported: 2004-11-22 17:36 EST by Todd Jimenez
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:13:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Todd Jimenez 2004-11-22 17:36:12 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7) Gecko/20040616

Description of problem:
when running rsync with --recursive and more then two --verbose flags
on a lot of files, it hangs.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.mkdir /tmp/foo
2.mkdir /tmp/bar
3.cd /tmp/foo
4.for bob in `seq 1 8000`; do touch $bob; done
5.rsync --recursive --verbose --verbose --verbose /tmp/foo/ /tmp/bar

    

Actual Results:  building file list ... 
make_file(4,.)
expand file_list to 4000 bytes, did move
make_file(4,1)
make_file(4,2)
make_file(4,3)
make_file(4,4)
make_file(4,5)
make_file(4,6)
make_file(4,7)
[...]
make_file(4,2506)
make_file(4,2507)
make_file(4,2508)
make_file(4,2509)
make_file(4,2510)
make_file(4,2511)
make_file(4,2512)
make_file(4,2513)
make_file(4,2514)
[hangs here forever]

Expected Results:  building file list ... 
expand file_list to 4000 bytes, did move
expand file_list to 8000 bytes, did move
expand file_list to 16000 bytes, did move
expand file_list to 32000 bytes, did move
expand file_list to 64000 bytes, did move
done
expand file_list to 8000 bytes, did move
expand file_list to 16000 bytes, did move
expand file_list to 32000 bytes, did move
[...]
993
994
995
996
997
998
999
total: matches=0  tag_hits=0  false_alarms=0 data=0
wrote 353157 bytes  read 128020 bytes  35642.74 bytes/sec
total size is 0  speedup is 0.00

Additional info:
Comment 1 Wayne Davison 2005-08-15 18:05:05 EDT
This bug was fixed in the rsync 2.6.4 codebase.
Comment 2 Stefan Neufeind 2005-10-04 13:33:09 EDT
Tested: You can use the FC4-package for rsync, which is 2.6.4-based. Surely it's
not recommended - but works like a charme and comes with no special deps or
anything.
Comment 6 RHEL Product and Program Management 2007-10-19 15:13:28 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.